package cl.jtv;

/*
 * ComandoEPRX.java
 *
 * Created on 24 de febrero de 2003, 05:24 PM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoEPRX extends Comando {
    
    Maquina lastProxima;
    /** Creates new ComandoEPRX */
    public ComandoEPRX(Object newArtefacto,Vector2 newVector2,Maquina newLastProxima) {
        super(newArtefacto,newVector2);
        lastProxima = newLastProxima;
    }

    public void doIt() {
        Maquina maquina = (Maquina)artefacto;
        maquina.setProxMaquina(lastProxima);
        
    }
    
}
